<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="core-service.management.access.authorization.constraint.vault-expression">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="configured-requires-read,configured-requires-write"/>
        <elem name="addr-params" value="core-service,access,constraint"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <refs>
        <ref feature="core-service.management.access.authorization"/>
        <ref feature="core-service.management"/>
    </refs>
    <params>
        <param name="configured-requires-read" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="constraint" feature-id="true" default="vault-expression"/>
        <param name="access" feature-id="true" default="authorization"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="configured-requires-write" nillable="true"/>
    </params>
</feature-spec>